All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
snd_tplg_hw_config_template Struct Reference
Topology Interface

Template type to describe a physical link runtime supported hardware config, i.e. hardware audio formats. More...

## Data Fields

int | id
unsigned int | fmt
unsigned char | clock_gated
unsigned char | invert_bclk
unsigned char | invert_fsync
unsigned char | bclk_master
unsigned char | fsync_master
unsigned char | mclk_direction
unsigned short | reserved
unsigned int | mclk_rate
unsigned int | bclk_rate
unsigned int | fsync_rate
unsigned int | tdm_slots
unsigned int | tdm_slot_width
unsigned int | tx_slots
unsigned int | rx_slots
unsigned int | tx_channels
unsigned int * | tx_chanmap
unsigned int | rx_channels
unsigned int * | rx_chanmap

## Detailed Description

Template type to describe a physical link runtime supported hardware config, i.e. hardware audio formats.

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.4.1/include/topology.h